curl -X POST "https://api.smooth.sh/api/v1/task" \
-H "Content-Type: application/json" \
-H "apikey: YOUR_API_KEY" \
-d '{
"task": "Go to hacker news and get the top 5 stories.",
"device": "desktop",
"max_steps": 32,
"enable_recording": true
}'{
"r": {
"id": "<string>",
"status": "waiting",
"output": "<unknown>",
"credits_used": 123,
"device": "desktop",
"live_url": "<string>",
"recording_url": "<string>",
"downloads_url": "<string>",
"created_at": 123,
"events": [
{
"name": "<string>",
"payload": {},
"id": "<string>",
"timestamp": 123
}
]
}
}Task
Submit Task
Submits a task to be executed by the Smooth agent. If task is null, opens a browser session that waits for actions via the Event endpoint.
POST
/
task
curl -X POST "https://api.smooth.sh/api/v1/task" \
-H "Content-Type: application/json" \
-H "apikey: YOUR_API_KEY" \
-d '{
"task": "Go to hacker news and get the top 5 stories.",
"device": "desktop",
"max_steps": 32,
"enable_recording": true
}'{
"r": {
"id": "<string>",
"status": "waiting",
"output": "<unknown>",
"credits_used": 123,
"device": "desktop",
"live_url": "<string>",
"recording_url": "<string>",
"downloads_url": "<string>",
"created_at": 123,
"events": [
{
"name": "<string>",
"payload": {},
"id": "<string>",
"timestamp": 123
}
]
}
}Body
application/json
Request model for submitting a task.